################################################################
#
#   Bell Runner - Screen
#
################################################################

from pygame.locals import *
from albow.shell import Screen

class BRScreen(Screen):
	#  shell  Shell

	def __init__(self, shell):
		Screen.__init__(self, shell)
		self.shell = shell
	
	def key_down(self, e):
		if e.key == K_ESCAPE:
			self.escape_key()
		else:
			Screen.key_down(self, e)

	def escape_key(self):
		self.shell.show_menu_screen()
